{*
/**
 * 2018-2022 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2022 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */
*}

{extends file="helpers/form/form.tpl"}
{block name="field"}
    {if $input.type == 'file_lang'}
        <div class="row">
            {foreach from=$languages item=language}
                {if $languages|count > 1}
                    <div class="translatable-field lang-{$language.id_lang|cleanHtml nofilter}" {if $language.id_lang != $defaultFormLanguage}style="display:none"{/if}>
                {/if}
                    <div class="col-lg-6">
                        {if isset($fields[0]['form']['images'])}
                        <img src="{$image_baseurl|cleanHtml nofilter}{$fields[0]['form']['images'][$language.id_lang]|cleanHtml nofilter}" class="img-thumbnail" />
                        {/if}
                        <div class="dummyfile input-group">
                            <input id="{$input.name|cleanHtml nofilter}_{$language.id_lang|cleanHtml nofilter}" type="file" name="{$input.name|cleanHtml nofilter}_{$language.id_lang|cleanHtml nofilter}" class="hide-file-upload" />
                            <span class="input-group-addon"><i class="icon-file"></i></span>
                            <input id="{$input.name|cleanHtml nofilter}_{$language.id_lang|cleanHtml nofilter}-name" type="text" class="disabled" name="filename" readonly />
                            <span class="input-group-btn">
                                <button id="{$input.name|cleanHtml nofilter}_{$language.id_lang|cleanHtml nofilter}-selectbutton" type="button" name="submitAddAttachments" class="btn btn-default">
                                    <i class="icon-folder-open"></i> {l s='Choose a file' d='Admin.Actions'}
                                </button>
                            </span>
                        </div>
                    </div>
                {if $languages|count > 1}
                    <div class="col-lg-2">
                        <button type="button" class="btn btn-default dropdown-toggle" tabindex="-1" data-toggle="dropdown">
                            {$language.iso_code|cleanHtml nofilter}
                            <span class="caret"></span>
                        </button>
                        <ul class="dropdown-menu">
                            {foreach from=$languages item=lang}
                                <li><a href="javascript:hideOtherLanguage({$lang.id_lang|cleanHtml nofilter});" tabindex="-1">{$lang.name|cleanHtml nofilter}</a></li>
                            {/foreach}
                        </ul>
                    </div>
                {/if}
                {if $languages|count > 1}
                    </div>
                {/if}
                <script>
                $(document).ready(function(){
                    var el_root = "{$input.name|cleanHtml nofilter}_{$language.id_lang|cleanHtml nofilter}";
                    $('#' + el_root + '-selectbutton').click(function(e){
                        $('#' + el_root).trigger('click');
                    });
                    $('#' + el_root).change(function(e){
                        var val = $(this).val();
                        var file = val.split(/[\\/]/);
                        $('#' + el_root + '-name').val(file[file.length-1]);
                    });
                });
            </script>
            {/foreach}
        </div>
    {/if}
    {$smarty.block.parent}
{/block}
